@font-face {
  font-family: "Mustasurma"; /* by junkohanhero */
  src: url("https://pega-um.neocities.org/assets/fonts/Mustasurma.ttf") format("truetype");
}

@font-face {
  font-family: "PaperCut"; /* by Eoin */
  src: url("https://pega-um.neocities.org/assets/fonts/papercut.ttf") format("truetype");
}

@font-face {
  font-family: "SomethingInTheWay"; /* by junkohanhero */
  src: url("https://pega-um.neocities.org/assets/fonts/Something%20in%20the%20way.ttf") format("truetype");
}

@font-face {
  font-family: "Pira"; /* not a real font */
  src: url("https://pega-um.neocities.org/assets/fonts/pira-signature.ttf") format("truetype");
}

:root {
  --text: #3F3B36;
  --accent: #551A8B;
  --highlight: #7724C3;
  --background: #E4D7E1;
}

::-webkit-scrollbar {
  width: 12px;
  height: 12px;
}

::-webkit-scrollbar-track {
  background: var(--background);
  border-radius: 4px;
}

::-webkit-scrollbar-thumb {
  background: var(--accent);
  border: 2px solid var(--background);
  border-radius: 4px;
}

::-webkit-scrollbar-thumb:hover {
  background: var(--highlight);
}

::-webkit-scrollbar-thumb:active {
  background: var(--accent);
}

::-webkit-scrollbar-corner {
  background: var(--background);
}

* {
  min-width: 0;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-family: monospace;
  background:
    radial-gradient(circle, var(--accent) 1px, var(--background) 1px)
    0 0 / 4px 4px;
  scrollbar-width: thin;
  scrollbar-color: var(--accent) var(--background);
}

h1 {
  font: 6rem "Mustasurma";
}

h1, h2, h3, a, a:visited {
  color: var(--accent);
}

h3 {
  font-size: 1rem;
}

p + h3 {
  margin-top: 1.5lh;
}

ul {
  list-style-position: inside;
}

a {
  display: inline-block;
  transform: rotate(var(--tilt));
  transition: transform 0.2s ease;
}

a:focus, a:focus-visible {
  outline: none;
  transform: rotate(var(--tilt)) scale(1.4);
}

a:hover, a:active, a:focus, a:focus-visible {
  color: var(--highlight);
}

time {
  font-size: 0.8rem;
  text-align: right;
}

button {
  all: unset;
  cursor: pointer;
}

button:hover, button:focus, button:focus-visible {
  filter: brightness(1.4);
}

img {
  max-width: 100%;
}

iframe {
  width: 100%;
  height: 100%;
  min-height: 400px;
  border: 0;
  background: transparent;
  filter: hue-rotate(var(--hue-rotation));
}

body {
  position: relative;
  width: 1200px;
  max-width: 100%;
  min-height: 100vh;
  margin: 0 auto;
  padding-block: 20px;
  color: var(--text);
}

body::before {
  content: "";
  position: absolute;
  inset: 0;
  z-index: -1;
  background: url("https://pega-um.neocities.org/assets/images/background.png") /* by Pira HxCx */
    center top / 100% auto;
  filter: hue-rotate(var(--hue-rotation));
}

header {
  position: relative;
  display: flex;
  flex-direction: column;
  padding: 0 80px 20px 80px;
  gap: 6px;
  text-align: center;
}

header nav {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 12px;
  font: 2rem "Papercut";
}

#player {
  position: absolute;
  display: flex;
  inset: 20px 120px auto auto;
  gap: 2px;
  filter: hue-rotate(var(--hue-rotation));
}

#player img {
  width: 42px;
}

#player-extra {
  display: flex;
  flex-direction: column;
}

#playpause-icon {
 animation: play 2s ease-in-out infinite;
}

#player-extra img {
  width: 20px;
}

#player-extra > :nth-child(odd) {
  position: relative;
  left: -8px;
}

#volume-wrapper {
  position: relative;
}

#volume-slider {
  position: absolute;
  top: -10px;
  right: 2px;
  width: 80px;
  height: 8px;
  display: none;
  -webkit-appearance: none;
  appearance: none;
  background: #E4D7E1;
  border-radius: 8px;
  z-index: 2;
}

#volume-slider::-webkit-slider-runnable-track {
  height: 4px;
  background: #551A8B;
}

#volume-slider::-moz-range-progress {
  height: 4px;
  background: #551A8B;
}

#volume-slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 10px;
  height: 10px;
  background: url("https://pega-um.neocities.org/assets/images/thumb-bg.png") center / cover no-repeat;
  border: 2px solid #551A8B;
  border-radius: 50%;
  margin-top: -3px;
}

#volume-slider::-moz-range-thumb {
  width: 10px;
  height: 10px;
  background: url("https://pega-um.neocities.org/assets/images/thumb-bg.png") center / cover no-repeat;
  border: 2px solid #551A8B;
  border-radius: 50%;
}

#file-name {
  display: none;
  position: absolute;
  top: 64px;
  right: 2px;
  width: 200%;
  padding: 2px;
  font-size: 0.8rem;
  font-weight: bold;
  border: 2px solid #551A8B;
  border-radius: 5px;
  background: #E4D7E1;
}

main {
  display: flex;
  min-height: 100%;
  padding-inline: 80px;
  gap: 40px;
}

aside {
  position: relative;
  flex: 1;
  padding: 8px;
  overflow-y: auto;
}

aside::before {
  content: "";
  position: absolute;
  inset: 0;
  z-index: -1;
  background:
    url("https://pega-um.neocities.org/assets/images/background.svg");
  filter: hue-rotate(var(--hue-rotation));
}

aside > * {
  width: fit-content;
  margin-bottom: 4px;
  padding-inline: 1ch;
  background: var(--background);
}

aside > :nth-child(odd) {
  transform: rotate(-1deg);
}

aside > :nth-child(even) {
  transform: rotate(1deg);
}

section {
  flex: 3;
}

section > * {
  margin-bottom: 8px;
}

.mustasurma {
  font: 2rem "Mustasurma";
  color: inherit;
}

.something-in-the-way {
  font: 4rem "SomethingInTheWay";
  color: inherit;
}

.attribution {
  font-size: 0.8rem;
  font-style: italic;
}

[class^="signature"] {
  margin-bottom: 0;
  font-style: italic;
  text-align: right;
}

.signature-pira {
  font: 2rem "Pira";
  filter: brightness(1.4);
}

@keyframes play {
  0%, 100% { filter: drop-shadow(0 0 0 #7724C3); }
       50% { filter: drop-shadow(0 0 2px #7724C3); }
}

@media (max-width: 768px) {
  body {
    max-width: 96%;
  }

  h1 {
    height: auto;
    font-size: 4rem;
  }

  header {
    padding: 20px 0 20px 0;
  }

  header nav {
    gap: 8px;
    font-size: 1.5rem;
  }

  #player {
    inset: -18px -4px auto auto;
  }

  #volume-slider::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 16px;
    height: 16px;
    margin-top: -6px;
  }

  #volume-slider::-moz-range-thumb {
    width: 16px;
    height: 16px;
  }

  main {
    flex-direction: column;
    padding-inline: 20px;
  }

  section {
    flex: 1;
  }
}